﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.XamarinForms.Input;
using Xamarin.Forms;

namespace CalendarWeekXF
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();

            calendar.NativeControlLoaded += CalendarLoaded;
		}

        private void CalendarLoaded(object sender, EventArgs args)
        {
            if (Device.Idiom == TargetIdiom.Phone)
            {
                (sender as RadCalendar).TrySetViewMode(CalendarViewMode.Week);
                calendar.HeightRequest = 100;
            }
            else
            {
                (sender as RadCalendar).TrySetViewMode(CalendarViewMode.Month);
            }
           
        }
    }
}
